slepc-3.21.1 2024-04-26
Report Typos and Errors

# STPrecondGetKSPHasMat

Returns the flag indicating if the coefficient matrix of the KSP linear system (A) is set to be the same matrix as the preconditioner (P).

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STPrecondGetKSPHasMat(ST st,PetscBool *ksphasmat)

Not Collective

### Input Parameter

| st | - the spectral transformation context

### Output Parameter

| ksphasmat | - the flag

### See Also

STPrecondSetKSPHasMat(), STSetShift()

### Level

developer

### Location

src/sys/classes/st/impls/precond/precond.c

### Examples

src/eps/tutorials/ex24.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages